General
cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot install Oracle 9.2.0 onto HPUX 11.11

hengliu
Occasional Visitor

Cannot install Oracle 9.2.0 onto HPUX 11.11

I'm trying to install Oracle 9.2.0 onto HPUX 11.11, and it reports this error:

Exception String: Error in invoking target install of makefile /opt/app/oracle/product/9.2.0/plsql/lib/ins_plsql.mk
ld: Unsatisfied symbol "gethrtime" in file /opt/app/oracle/product/9.2.0/lib//li bldapclnt9.a[sgsluu.o]

I have searched previous articles, it's said
that these two patchs should be installed:
PHCO_23770, PHCO_23092

but I cannot install these two patches for
this error:
Currently, there are no products on this source which are compatible with the target. Therefore, no products are shown.

I also try the newer patchs of the above patches:
PHCO_32453, PHCO_33609
But the same error reported:
Currently, there are no products on this source which are compatible with the target. Therefore, no products are shown.

I have installed these patches:
PHSS_33263
PHSS_33035
PHKL_33457
PHSS_33942

Question:
1 How to install the patches: PHCO_32453,PHCO_33609?
2 How to install Oracle 9.2.0 on HPUX 11.11?

Thank you very much.
7 REPLIES
Arunvijai_4
Honored Contributor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

Hello,

Do you have aCC installed on your machine where you tried to Install Oracle ? If not, install it from http://h20293.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=B9007AAEVAL

It is an evaluation version of C/aCC compiler.

-Arun
"A ship in the harbor is safe, but that is not what ships are built for"
inventsekar_1
Respected Contributor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

attached the installaion guide for PHSS_33263

u can install thru sam also.

Be Tomorrow, Today.
hengliu
Occasional Visitor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

I have no aCC installed on this machine.
Does aCC is needed?
Arunvijai_4
Honored Contributor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

Yes, It is needed
"A ship in the harbor is safe, but that is not what ships are built for"
Indira Aramandla
Honored Contributor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

Hi Hengliu,

When relinking the Oracle software(either manually or as part of an install) on HP-UX 64-bit and receive errors similar to "ld: Unsatisfied symbol "gethrtime" in file /opt/oracle/product/9.2.0/lib/"

The gethrtime9void) function is a new funtion in libc and is not present in older versions of libraries, so this issue did not appear in prior versions. The referenced HP patches resolve the linking errors.

You need to apply the patches for HP-UX 11.11

HP-UX patches PHCO_29029 and PHCO_25569 must be applied.

The patches listed below are specifically recommended for RDBMS Server Release 9i running on HP-UX 11i.

PHCO_23094 - s700_800 11.11 libc cumulative header file patch
PHCO_23772 - s700_800 11.11 libc cumulative patch
PHSS_23441 - s700_800 11.11 ld(1) and linker tools cumulative patch
PHNE_23502 - s700_800 11.11 ONC/NFS General Release/Performance Patch

For details on these patches, please contact HP for assistance. Also refer to the note in Metalink Note:43507.1 HP-UX: Patch Levels Advised

Refer to Note:149556.1 in Metalink for Install Quick Start: 9.0.1 (64 bit) HP-UX 11i



Indira A


Never give up, Keep Trying
hengliu
Occasional Visitor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

Thank you Indira Aramandla,
I have download
PHCO_23770, PHCO_23092
But when I try to install the patches,
this error occured:
Currently, there are no products on this source which are compatible
with the target. Therefore, no products are shown.

How can I install these patches?
Indira Aramandla
Honored Contributor

Re: Cannot install Oracle 9.2.0 onto HPUX 11.11

Hi Hengliu,

The referenced HP patches resolve these linking errors. For HP-UX 11.11 (11i)

patches PHCO_29029 and PHCO_25569 must be applied.

The patches that you has mentioned (patches PHCO_23770, PHCO_23092)are for HP-UX 11.0


Indira A
Never give up, Keep Trying